<?php
/**
 * phpaga
 *
 * Company categories
 *
 * This is the company categories management interface.
 *
 * @author Florian Lanthaler <florian@phpaga.net>
 * @version $Id: cpncats.php 726 2006-08-05 22:34:30Z florian $
 *
 * Copyright (c) 2002, Florian Lanthaler <florian@phpaga.net>
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *    * Neither the name of Florian Lanthaler nor the names of his
 *      contributors may be used to endorse or promote products derived
 *      from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

include_once ("./config.php");
phpaga_user_pageperm(PHPAGA_PERM_MANAGE_SYSSETTINGS);

$rows = array();
$cpncat_title = "";

phpaga_header(array("menuitem" => "administration"));

/* let's see if we need to add or erase a company category */
if (isset ($_REQUEST["action"]) && strlen ($_REQUEST["action"]))
{

    switch ($_REQUEST["action"])
    {

        case ACTION_ADD:

            /* add a new company category */

            if (isset ($_REQUEST["cpncat_title"])
                && strlen ($_REQUEST["cpncat_title"]))
            {
                $result = phpaga_companies_addCpncat ($_REQUEST["cpncat_title"]);

                if ($result != PHPAGA_ERR_NONE)
                {
                    phpaga_error ($result);
                    $cpncat_title = $_REQUEST["cpncat_title"];
                }
                else
                {
                    phpaga_message(_("Company category added"),
                                   _("The company category has been inserted successfully."));
                }
            }
            break;

        case ACTION_DELETE:

            /* delete a company category */

            if (isset ($_REQUEST["id"]) && strlen ($_REQUEST["id"]))
            {
                $result = phpaga_companies_deleteCpncat ($_REQUEST["id"]);

                if ($result != PHPAGA_ERR_NONE)
                {

                    /* if we could not delete the record because of
                     * dependencies then use a more descriptive
                     * error message
                     */

                    if ($result == PHPAGA_ERR_DEL_DEPENDENCIES)
                    {
                        $result =
                            _("The company category cannot be deleted, as it is still used by some companies.");
                    }

                    phpaga_error ($result);
                }
                else
                {
                    phpaga_message(_("Company category deleted"),
                                   _("The company category has been successfully deleted."));
                }
            }
            break;


        default:
            break;
    }
}

$result = phpaga_companies_getCpncats ($rows);

if ($result != PHPAGA_ERR_NONE)
{
    phpaga_error ($result);
}

$cpncats_tpl = new psmarty;

$cpncats_tpl->assign ("FORM_ACTION",
                      basename ($_SERVER["PHP_SELF"]));
$cpncats_tpl->assign ("cpncat_title", $cpncat_title);
$cpncats_tpl->assign ("rows", $rows);

$cpncats_tpl->display ("cpncats.tpl.html");

phpaga_footer ();

?>